Logger

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.logger.client
Class Logger

    java.lang.Object
      org.openswing.swing.logger.client.Logger

public class Logger
extends java.lang.Object

Title: OpenSwing Framework

Description: Class for logging client messages.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static int` | `LOG_ALL`
`static int` | `LOG_ERROR_ONLY`
`static int` | `LOG_ERROR_WARN_INFO_ONLY`
`static int` | `LOG_ERROR_WARN_ONLY`
`static LoggerMethods` | `loggerImpl`
`static int` | `logLevelImpl`

Constructor Summary
`Logger()`

Method Summary
`static void` | `debug(java.lang.String className, java.lang.String methodName, java.lang.String debugMessage)` Log a debug message.
`static void` | `error(java.lang.String className, java.lang.String methodName, java.lang.String errorMessage, java.lang.Throwable exception)` Log an error message.
`static void` | `info(java.lang.String className, java.lang.String methodName, java.lang.String infoMessage)` Log an info message.
`static void` | `init(LoggerMethods logger, int logLevel)` Initialize logger.
`static void` | `warn(java.lang.String className, java.lang.String methodName, java.lang.String warnMessage)` Log a warn message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_ALL

    public static final int LOG_ALL

See Also:
  Constant Field Values

### LOG_ERROR_ONLY

    public static final int LOG_ERROR_ONLY

See Also:
  Constant Field Values

### LOG_ERROR_WARN_ONLY

    public static final int LOG_ERROR_WARN_ONLY

See Also:
  Constant Field Values

### LOG_ERROR_WARN_INFO_ONLY

    public static final int LOG_ERROR_WARN_INFO_ONLY

See Also:
  Constant Field Values

### loggerImpl

    public static LoggerMethods loggerImpl

### logLevelImpl

    public static int logLevelImpl

Constructor Detail

### Logger

    public Logger()

Method Detail

### init

    public static final void init(LoggerMethods logger,
                                  int logLevel)

  Initialize logger.

  Parameters:
    `logger` - logger implementation
    `logLevel` - log level

### error

    public static final void error(java.lang.String className,
                                   java.lang.String methodName,
                                   java.lang.String errorMessage,
                                   java.lang.Throwable exception)

  Log an error message.

  Parameters:
    `className` - class when occours the exception
    `methodName` - method when occours the exception
    `errorMessage` - exception message
    `exception` - exception

### debug

    public static final void debug(java.lang.String className,
                                   java.lang.String methodName,
                                   java.lang.String debugMessage)

  Log a debug message.

  Parameters:
    `className` - class when occours the debug message
    `methodName` - method when occours the debug message
    `debugMessage` - debug message

### warn

    public static final void warn(java.lang.String className,
                                  java.lang.String methodName,
                                  java.lang.String warnMessage)

  Log a warn message.

  Parameters:
    `className` - class when occours the warn message
    `methodName` - method when occours the warn message
    `warnMessage` - warn message

### info

    public static final void info(java.lang.String className,
                                  java.lang.String methodName,
                                  java.lang.String infoMessage)

  Log an info message.

  Parameters:
    `className` - class when occours the warn message
    `methodName` - method when occours the warn message
    `infoMessage` - info message

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD